import"react";import"../../molecules/RichTextEditor/custom-extensions/AmplifyKit.js";import"../../molecules/RichTextEditor/RichTextEditor.types.js";import"../../_virtual/lodash.js";import"@equinor/subsurface-app-management";import"@microsoft/signalr";import"@tanstack/react-query";import"../../atoms/enums/Environment.js";import"../../atoms/utils/auth_environment.js";import"../TopBar/Notifications/NotificationProvider.js";import"../../providers/AuthProvider/AuthProvider.js";import"../../providers/ReleaseNotesProvider.js";import"../../providers/SideBarProvider.js";import"../../providers/SnackbarProvider/SnackbarProvider.js";import"../../providers/StepperProvider.js";import"../../providers/TableOfContentsProvider.js";import"../../providers/ThemeProvider/ThemeProvider.js";import"../../providers/TutorialStepsProvider.js";import{shape as r,typography as t,elevation as i}from"../../atoms/style/index.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Theme.js";import"../../atoms/enums/SpacingsMode.js";import"react/jsx-runtime";import"../../deprecated/ErrorPage/illustrations/GlitchAnimation.js";import"../../deprecated/ErrorPage/illustrations/QuestioningAnimation.js";import"proj4";import"html2canvas";import{Chip as o}from"../../molecules/Chip/Chip.js";import{motion as e}from"framer-motion";import a,{css as s}from"styled-components";import{colors as n}from"../../atoms/style/colors.js";import{spacings as d}from"../../atoms/style/spacings.js";const m=a.div`
  width: 100%;
`,p=a.div`
  display: flex;
  background: ${n.ui.background__default.rgba};
  align-items: center;
  width: 100%;
  height: 36px;
  padding-left: ${d.small};
  border-bottom: 1px solid ${n.ui.background__medium.rgba};
  border-top-left-radius: ${r.corners.borderRadius};
  border-top-right-radius: ${r.corners.borderRadius};
  transition: border-bottom 200ms;
  cursor: pointer;
  > section {
    margin-left: ${d.small};
    flex-grow: 1;
    display: flex;
    flex-wrap: wrap;
    gap: ${d.x_small};
  }
  > button {
    height: 35px;
    padding: 0 ${d.small} 0 ${d.medium_small};
    display: flex;
    gap: ${d.x_small};
    align-items: center;
    justify-content: center;
    border-left: 1px solid ${n.ui.background__medium.rgba};
    color: ${n.interactive.primary__resting.rgba};
    span {
      color: ${n.interactive.primary__resting.rgba};
    }

    &:hover {
      background: ${n.interactive.primary__hover_alt.rgba};
    }
  }
  > button[data-testid='clear-all-x'] {
    width: 24px;
    height: 24px;
    border-left: none;
    margin-right: ${d.small};
    &:after {
      width: 24px;
      height: 24px;
    }
  }
  > button:last-child {
    border-left: 1px solid ${n.ui.background__medium.rgba};
    width: 36px;
    padding: 0;
    &:hover {
      border-top-right-radius: ${r.corners.borderRadius};
      background: ${n.interactive.primary__hover_alt.rgba};
    }
  }
`,l=a.input`
  background: transparent;
  width: 0;
  flex-grow: 1;
  padding: 0;
  font-family: 'Equinor', sans-serif;
  font-size: ${t.input.text.fontSize};
  font-weight: ${t.input.text.fontWeight};
  color: ${n.text.static_icons__default.rgba};
  outline: none;
  border: none;
  &::placeholder {
    opacity: 1;
    color: ${n.text.static_icons__tertiary.rgba};
  }
  &::-webkit-search-cancel-button,
  &::-webkit-search-results-button,
  &::-webkit-search-results-decoration {
    display: none;
  }
`,u=a(e.div)`
  border-bottom-left-radius: ${r.corners.borderRadius};
  border-bottom-right-radius: ${r.corners.borderRadius};
  background: ${n.ui.background__default.rgba};
  box-shadow: ${i.raised};
  overflow: hidden;
  > section {
    padding: ${d.medium};
    display: flex;
    flex-direction: column;
    gap: ${d.medium};
    ${({$showClearFilterButton:r})=>{if(r)return s`
          > div:last-child {
            display: grid;
            grid-template-columns: 1fr auto;
            gap: ${d.medium};

            > button {
              align-self: flex-end;
            }
          }
        `}}
  }
`,c=a(o)`
  ${({$tryingToRemove:r})=>{if(r)return s`
        background: ${n.interactive.primary__hover_alt.rgba};
      `}}
`;export{p as Container,u as Content,l as SearchField,c as StyledChip,m as Wrapper};
